Loading...
Searching...
No Matches
L4 kernel object type information
Base API » Kernel Objects

Type information for L4 server objects that can be called via IPC. More...

Collaboration diagram for L4 kernel object type information:

## Data Structures

struct | L4::Type_info
| Dynamic Type Information for L4Re Interfaces. More...
struct | L4::Kobject_typeid< T >
| Meta object for handling access to type information of Kobjects. More...
class | L4::Kobject_t< Derived, Base, PROTO, S_DEMAND >
| Helper class to create an L4Re interface class that is derived from a single base class. More...
class | L4::Kobject_2t< Derived, Base1, Base2, PROTO, S_DEMAND >
| Helper class to create an L4Re interface class that is derived from two base classes (see L4::Kobject_t). More...
struct | L4::Kobject_3t< Derived, Base1, Base2, Base3, PROTO, S_DEMAND >
| Helper class to create an L4Re interface class that is derived from three base classes (see L4::Kobject_t). More...
struct | L4::Kobject_x< Derived, ARGS >
| Generic Kobject inheritance template. More...

## Functions

template<typename T>
Type_info const * | L4::kobject_typeid () noexcept
| Get the L4::Type_info for the L4Re interface given in T.

## Detailed Description

Type information for L4 server objects that can be called via IPC.

This type information consists of inheritance information, the protocol number assigned to an interface as well as the demand on server-side resources.

## Function Documentation

## kobject_typeid()

template<typename T>

Type_info const * L4::kobject_typeid | ( |  | ) |

inlinenoexcept

Get the L4::Type_info for the L4Re interface given in T.

Template Parameters

  T | The type (L4Re interface) for which the information shall be returned.

Returns
  A pointer to the L4::Type_info structure for T.

Definition at line 682 of file __typeinfo.h.

References L4::Kobject_typeid< T >::id().

Referenced by cap_dynamic_cast().

Here is the call graph for this function:
Here is the caller graph for this function: